summaryrefslogtreecommitdiff
path: root/app-text
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-01-29 09:17:20 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-01-29 09:17:20 +0000
commitb15a2a14af7ab67c0b91766f429d28cbad2d348d (patch)
treebb27f4bc6d797892b792f4ca8e6f3b49d58105c7 /app-text
parenta867a2be555755f3635f326c1d1ea5bd3e5ed6c0 (diff)
add simplenote
Diffstat (limited to 'app-text')
-rw-r--r--app-text/simplenote/Manifest1
-rw-r--r--app-text/simplenote/simplenote-1.0.8.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/app-text/simplenote/Manifest b/app-text/simplenote/Manifest
new file mode 100644
index 00000000..f8a0ed90
--- /dev/null
+++ b/app-text/simplenote/Manifest
@@ -0,0 +1 @@
+DIST simplenote-1.0.8.deb 52282768 SHA256 e19a748301d21d4b5c1cb00f350f991bd4efe8daadc48938d0320a332b483037 SHA512 2a77423780d96c01df34ed9c0a8fa001986ef924b74b6bc5251f9a865fa5c5443ee6a7153f92914b5bc8755c15b1400e626a93906a80b6bad8a2a853cef25e48 WHIRLPOOL ad4b9b08f69cc1ee9d9c5a6228a1502a93197992c8c11757e32607f61d914870405f3205b62364b5e4cfea6bb9c4c301657917c5ec08436456de2a0f39371408
diff --git a/app-text/simplenote/simplenote-1.0.8.ebuild b/app-text/simplenote/simplenote-1.0.8.ebuild
new file mode 100644
index 00000000..64a22a2a
--- /dev/null
+++ b/app-text/simplenote/simplenote-1.0.8.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils unpacker
+
+DESCRIPTION="The simplest way to keep notes"
+HOMEPAGE="https://github.com/Automattic/simplenote-electron"
+SRC_URI="https://github.com/Automattic/simplenote-electron/releases/download/v${PV}/${P}.deb"
+
+LICENSE="GPL2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-libs/nss
+ media-libs/alsa-lib
+ x11-libs/gtk+:2
+ x11-libs/libXtst
+ x11-libs/libnotify"
+RDEPEND="${DEPEND}"
+
+RESTRICT="mirror"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_install() {
+ mv * "${D}" || die
+}